Subject: Re: [PATCH] fsl-diu-fb: remove the ioctl interface

From: Anatolij Gustschin <[email-masked]>
Date: Wed, 22 Jun 2011 00:38:53 +0200

On Tue, 21 Jun 2011 16:27:35 -0500
Timur Tabi <[email-masked]> wrote:

> The ioctl interface in the Freescale DIU framebuffer driver is just a
> collection of miscellaneous functions which were only used in a one-time
> demo application that was never distributed.  Plus, the ioctls were spread
> across two types (both conflicting), and the demo app didn't even use all
> of them.
> 
> Removing the ioctl interface also allows us to clean up the header file and
> remove other unusued stuff.

No! We are using ioctl interface of this driver in many video
rendering applications on overlay planes on huge number of boards.
So, please don't remove it.

Anatolij